### Method

# Camel StreamFilter add

#### Declaration [src]

    gint
    camel_stream_filter_add (
      CamelStreamFilter* stream,
      CamelMimeFilter* filter
    )

#### Description [src]

Add a new `CamelMimeFilter` to execute during the processing of this stream. Each filter added is processed after the previous one.

Note that a filter should only be added to a single stream at a time, otherwise unpredictable results may occur.

#### Parameters

`filter`

  Type: `CamelMimeFilter`

  A `CamelMimeFilter` object.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

A filter id for the added `filter`.